"use strict";

this.name           = "PAGroove_superhubPopulator";
this.author         = "Thargoid, spara";
this.copyright      = "This script is hereby placed in the public domain.";
this.description    = "Script to add a single superhub near the system main station";

this.systemWillPopulate = function() {
	//if(system.techLevel >= 13) {
	if (system.productivity >= 45000) {
		var xOffset = (system.scrambledPseudoRandomNumber(637) * 10000) + 10000; // x offset between 10 and 20km
		var yOffset = (system.scrambledPseudoRandomNumber(432) * 10000) + 10000; // y offset between 10 and 20km
		var exactPosition = system.mainStation.position.add([xOffset, yOffset, 0]);
		system.setPopulator("superhub", {
			callback: function(pos) {
				system.addShips("pagroove_superhub", 1, pos, 0);
			}.bind(this),
			location: "COORDINATES",
			coordinates: exactPosition,
			deterministic: true
		});
      }
}
